First time here? Check out the FAQ!
x

Software CD for version 2000 or older.

0 votes
asked by about EasyACCT Professional Series
edited by

Searching for the Windows version for year 2000 or newer. Have misplaced it and never renewed. I am to my wits end. Is there anyone selling or making a copy of your existing copy?

1 Answer

0 votes
answered by (329k points)
edited by

The oldest version this software is compatible with refers to Windows Vista. There is no information on the official website related to Windows 2000 or version from that period when it was launched. The recommended system specs state that EasyACCT Professional requires Windows 8, Windows 8.1, Windows Vista, or Windows 7 to work correctly and stable. You can find details about it on the official website. The product(version) you are looking for might be discontinued. Contact the developer to find about it.

Note: Contact button is on the bottom page where the developer name is located.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...